## apt 0.5.4

=== Makefile ===
# -*- make -*-

# This is the top level make file for APT, it recurses to each lower
# level make file and runs it with the proper target
ifndef NOISY
.SILENT:
endif

.PHONY: default
default: startup all

.PHONY: headers library clean veryclean all binary program doc
all headers library clean veryclean binary program doc dirs:
	$(MAKE) -C apt-pkg $@
	$(MAKE) -C apt-inst $@
	$(MAKE) -C methods $@
	$(MAKE) -C cmdline $@
	$(MAKE) -C ftparchive $@
	$(MAKE) -C dselect $@
	$(MAKE) -C doc $@

# Some very common aliases
.PHONY: maintainer-clean dist-clean distclean pristine sanity 
maintainer-clean dist-clean distclean pristine sanity: veryclean

# The startup target builds the necessary configure scripts. It should
# be used after a CVS checkout.
CONVERTED=environment.mak include/config.h include/apti18n.h makefile
include buildlib/configure.mak
$(BUILDDIR)/include/config.h: buildlib/config.h.in
$(BUILDDIR)/include/apti18n.h: buildlib/apti18n.h.in
$(BUILDDIR)/environment.mak: buildlib/environment.mak.in
$(BUILDDIR)/makefile: buildlib/makefile.in

=== debian/changelog ===
apt (0.5.4) unstable; urgency=low

  * M68k config.guess patch. Closes: #88913
  * Bi-yearly test on OpenBSD and Solaris
  * Doc updates. Closes: #89121, #89854, #99671, #98353, #95823, #93057,
          #97520, #102867, #101071, #102421, #101565, #98272, #106914,
          #105606, #105377
  * Various cosmetic code updates. Closes: #89066, #89066, #89152
  * Add "pre-auto" as an option for DSelect::Clean (run autoclean after
    update).
  * More patches from Alfredo for Vendors and more SHA-1 stuff
  * Fix for AJ's 'desire to remove perl-5.005' and possibly other
    similar situations. Closes: #56708, #59432
  * no_proxy and ftp. Closes: #89671
  * Philippe Batailler's man page patches.
  * Fix for display bug. Closes: #92033, #93652, #98468
  * Use more than 16bits for the dep ID. Some people ran out..
    Closes: #103020, #97809, #102951, #99974, #107362, #107395, #107362,
            #106911, #107395, #108968
  * Reordered some things to make dante and FTP happier. Closes: #92757
  * James R. Van Zandt's guide.sgml updates. Closes: #90027
  * apt-ftparchive copes with no uncompressed package files + contents.
  * French man pages from philippe batailler - well sort of. They 
    don't build yet..
  * run-parts. Closes: #94286
  * 'apt-cache policy' preferences debug tool.
  * Whatever. Closes: #89762
  * libstdc++ and HURD. Closes: #92025
  * More apt-utils verbage. Closes: #86954
  * Fliped comparision operator. Closes: #94618
  * Used the right copyright file. Closes: #65691
  * Randolph's G++3 patches. 
  * Fixed no_proxy tokanizing. Closes: #100046
  * Strip Config-Version when copying status to available. Closes: #97520
  * Segfault with missing source files. Closes: #100325
  * EINTR check. Closes: #102293
  * Various changes to the locking metholodgy for --print-uris. 
    Closes: #100590
  * Lame LD_LIBRARY_PATH thing. Closes: #98928
  * apt-cache search searchs provide names too now. Closes: #98695
  * Checksum and long lines problem. Closes: #106591
  * .aptignr and empty files are just a warning. Closes: #97364  
  
 -- Jason Gunthorpe <jgg@debian.org>  Sat, 18 Aug 2001 17:21:59 -0500

apt (0.5.3) unstable; urgency=low

  * JoeyH's dpkg::preconfig not working. Closes: #88675
  * Fixed apt override disparity
  * Alfredo's SHA-1 and related patches
  
 -- Jason Gunthorpe <jgg@debian.org>  Sun,  4 Mar 2001 15:39:43 -0700

apt (0.5.2) unstable; urgency=low

  * Fixed mention of /usr/doc in the long description
  * JoeyH's downgrade bug -- don't use 0.5.1
  * Doc bug. Closes: #88538
  * Fault in building release strings. Closes: #88533
  
 -- Jason Gunthorpe <jgg@debian.org>  Sun,  4 Mar 2001 15:39:43 -0700

apt (0.5.1) unstable; urgency=low

  * Fixed #82894 again, or should be and.
  * Process the option string right. Closes: #86921
  * Don't eat the last command for pipes. Closes: #86923
  * Ignore .* for configuration directory processing. Closes: #86923
  * Alfredo's no_proxy patch
  * Documentation fixes. Closes: #87091
  * JoeyH's double slash bug. Closes: #87266
  * Unintitialized buffer and apt-ftparchive contents generation. 
     Closes: #87612
  * Build-deps on virtual packages. Closes: #87639
  * Fixes glibc/libstdc++ symbol dependencies by including glibc and
    libstdc++ version info in the library soname and in the package
    provides. Closes: #87426
  * Updated soname version to 0.3.2
  * apt-extracttemplates moved from debconf into apt-utils
  * s390 archtable entry. Closes: #88232
  * Dan's segfault
  * Some instances where the status file can source a package in a
    non-sensical way. Closes: #87390
  * Work better if there are duplicate sources.list entries.
  * Fixed the resetting of Dir with "dir {};". Closes: #87323
  
 -- Randolph Chung <tausq@debian.org>  Sat, 3 Mar 2001 15:37:38 -0700

apt (0.5.0) unstable; urgency=low

  * Fixed an obscure bug with missing final double new lines in 
    package files
  * Changed the apt-cdrom index copy routine to use the new section
    rewriter
  * Added a package file sorter, apt-sortpkgs
  * Parse obsolete Optional dependencies.
  * Added Ben's rsh method. Closes: #57794
  * Added IPv6 FTP support and better DNS rotation support.
  * Include the server IP in error messages when using a DNS rotation.
    Closes: #64895
  * Made most of the byte counters into doubles to prevent 32bit overflow.
    Closes: #65349
  * HTTP Authorization. Closes: #61158
  * Ability to parse and return source index build depends from Randolph.
  * new 'apt-get build-dep' command from Randolph. Closes: #63982
  * Added apt-ftparchive the all dancing all singing FTP archive
    maintinance program
  * Allow version specifications with =1.2.4-3 and /2.2 or /stable postfixes
    in apt-get. 
  * Removed useless internal cruft including the xstatus file.
  * Fixed config parser bugs. Closes: #67848, #71108
  * Brain Damanged apt-get config options changed, does not change the command
    line interface, except to allow --enable-* to undo a configuration
    option:
      No-Remove -> Remove
      No-Download -> Download
      No-Upgrade -> Upgrade
  * Made this fix configable (DSelect::CheckDir) and default to disabled:
     * No remove prompt if the archives dir has not changed. Closes: #55709
    Because it is stupid in the case where no files were downloaded due to
    a resumed-aborted install, or a full cache! Closes: #65952
  * Obscure divide by zero problem. Closes: #64394
  * Update sizetable for mips. Closes: #62288
  * Fixed a bug with passive FTP connections
  * Has sizetable entry for sparc64. Closes: #64869
  * Escape special characters in the ::Label section of the cdroms.lst
  * Created apt-utils and python-apt packages
  * Due to the new policy engine, the available file may contain entries
    from the status file. These are generated if the package is not obsolete
    but the policy engine prohibits using the version from the package files. 
    They can be identified by the lack of a Filename field.


=== debian/control ===
Source: apt
Section: admin
Priority: standard
Maintainer: APT Development Team <deity@lists.debian.org>
Standards-Version: 3.1.1
Build-Depends: debhelper, debiandoc-sgml, libdb2-dev

Package: apt
Architecture: any
Depends: ${shlibs:Depends}
Priority: standard
Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
Provides: ${libapt-pkg:provides}
Suggests: dpkg-dev
Section: base
Description: Advanced front-end for dpkg
 This is Debian's next generation front-end for the dpkg package manager.
 It provides the apt-get utility and APT dselect method that provides a 
 simpler, safer way to install and upgrade packages.
 .
 APT features complete installation ordering, multiple source capability
 and several other unique features, see the Users Guide in
 /usr/share/doc/apt/guide.text.gz

Package: libapt-pkg-dev
Architecture: any
Priority: optional
Depends: ${libapt-pkg:provides}
Section: devel
Description: Development files for APT's libapt-pkg
 This package contains the header files and static libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Section: doc
Description: Documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.

Package: apt-utils
Architecture: any
Depends: ${shlibs:Depends}
Priority: optional
Provides: ${libapt-inst:provides}
Section: admin
Description: APT utility programs
 This package contains some infrequently used APT utility programs such
 as apt-ftparchive, apt-sortpkgs and apt-extracttemplates.
 .
 apt-extracttemplates is used by debconf to prompt for configuration 
 questions before installation. apt-ftparchive is used to create Package
 and other index files. apt-sortpkgs is a Package/Source file normalizer.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.
# $Id: rules,v 1.35 2001/08/03 04:58:10 jgg Exp $

# LD_LIBRARY_PATH=pwd/debian/apt/usr/lib dh_shlibdeps -papt
# dpkg: /home/jgg/work/apt2/debian/apt/usr/lib/libapt-pkg.so.2.9 not found.

# For the deb builder, you can run 'debian/rules cvs-build', which does all
# steps nescessary to produce a proper source tarball with the CVS/ removed.
# It builds in debian/cvs-build/apt-<VER>/, and places files in
# debian/cvs-build/.  Optionally, you can run 'debian/rules cvs-mkul' to
# create ../upload-<VER>, with all the files needed to be uploaded placed
# in it.

export DH_COMPAT=2

# See below
include build/environment.mak

# Default rule
build:

DEB_BUILD_PROG:=debuild -us -uc
APT_DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
APT_CONFVER=$(shell sed -n -e 's/^AC_DEFINE_UNQUOTED(VERSION,"\(.*\)")/\1/p' configure.in)

# Determine the build directory to use
BASE=.
ifdef BUILD
BUILD_POSSIBLE := $(BUILD) $(BASE)/$(BUILD)
else
BUILD_POSSIBLE := $(BASE) $(BASE)/build-$(shell uname -m) $(BASE)/build
endif
BUILDX:= $(foreach i,$(BUILD_POSSIBLE),$(wildcard $(i)/environment.mak*))
BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
override BLD := $(BUILDX)

ifeq ($(words $(BLD)),0)
override BLD := ./build
endif

# Rebuild configure.in to have the correct version from the change log
ifneq ($(APT_DEBVER),$(APT_CONFVER))
.PHONY: configure.in
configure.in:
	sed -e 's/$(APT_CONFVER)/$(APT_DEBVER)/' $@ > $@.$$$$;mv $@.$$$$ $@
else
configure.in:
endif

# APT Programs in apt-utils
APT_UTILS=ftparchive sortpkgs extracttemplates

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find the libapt-pkg major version for use in other control files
export LIBAPTPKG_MAJOR:=$(shell egrep '^MAJOR=' apt-pkg/makefile |cut -d '=' -f 2)
export LIBAPTINST_MAJOR:=$(shell egrep '^MAJOR=' apt-inst/makefile |cut -d '=' -f 2)

# Determine which package we should provide in the control files
LIBAPTPKG_PROVIDE=libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER)-$(LIBAPTPKG_MAJOR)
LIBAPTINST_PROVIDE=libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER)-$(LIBAPTINST_MAJOR)

debian/shlibs.local: apt-pkg/makefile
	# We have 3 shlibs.local files.. One for 'apt', one for 'apt-utils' and
	# one for the rest of the packages. This ensures that each package gets
	# the right overrides.. 
	rm -rf $@ $@.apt $@.apt-utils
	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR)" > $@.apt

	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR) $(LIBAPTPKG_PROVIDE)" > $@.apt-utils
	echo "libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTINST_MAJOR)" >> $@.apt-utils

	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR) $(LIBAPTPKG_PROVIDE)" > $@
	echo "libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTINST_MAJOR) $(LIBAPTINST_PROVIDE)" >> $@
	
build: build/build-stamp	

# Note that this is unconditionally done first as part of loading environment.mak
# The true is needed to force make to reload environment.mak after running
# configure-stamp. Otherwise we can get stale or invalid, or missing config data.
build/environment.mak: build/configure-stamp
	@true
	
configure: configure.in
build/configure-stamp: configure
	dh_testdir
	-mkdir build
	cp COPYING debian/copyright
	(cd build; ../configure)
	touch $@

build/build-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) -s
	touch $@

clean:
	dh_testdir
#	dh_testroot
	rm -f build-stamp debian/shlibs.local
	rm -rf build
	rm -f debian/shlibs.local.apt debian/shlibs.local.apt-utils
	
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-$(MAKE) distclean
	dh_clean

binary-indep: libapt-pkg-doc
# Build architecture-independent files here.
libapt-pkg-doc: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-doc install
#	
	dh_installdocs -p$@ $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
                            $(BLD)/docs/files* $(BLD)/docs/method* \
			    doc/libapt-pkg2_to_3.txt doc/style.txt
			    
	-cp -a debian/libapt-pkg-doc.dhelp debian/libapt-pkg-doc/usr/doc/libapt-pkg-doc/.dhelp
	-cp -a debian/libapt-pkg-doc.dhelp debian/libapt-pkg-doc/usr/share/doc/libapt-pkg-doc/.dhelp
	
	dh_installexamples -p$@
#	dh_installmenu -p$@
#	dh_installinit -p$@
#	dh_installcron -p$@
#	dh_installmanpages -p$@

#	dh_undocumented -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_suidregister -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@


# Build architecture-dependent files here.

binary-arch: apt libapt-pkg-dev apt-utils 
apt: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# apt install
#
	cp $(BLD)/bin/apt-* debian/apt/usr/bin/
	
	# Remove the bits that are in apt-utils
	rm $(addprefix debian/apt/usr/bin/apt-,$(APT_UTILS))
	
	# install the shared libs
	find $(BLD)/bin/ -type f -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/apt/usr/lib/ \;
	find $(BLD)/bin/ -type l -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/apt/usr/lib/ \;

	cp $(BLD)/bin/methods/* debian/apt/usr/lib/apt/methods/

	cp $(BLD)/scripts/dselect/* debian/apt/usr/lib/dpkg/methods/apt/

	# Copy the guides
	dh_installdocs -p$@ $(BLD)/docs/guide*.text $(BLD)/docs/guide*.html \
	               $(BLD)/docs/offline.text $(BLD)/docs/offline.html
	
	# One or the other..
	-cp -a debian/dhelp debian/apt/usr/doc/apt/.dhelp
	-cp -a debian/dhelp debian/apt/usr/share/doc/apt/.dhelp
	
#	head -n 500 ChangeLog > debian/ChangeLog

	dh_installexamples -p$@ $(BLD)/docs/examples/*
	dh_installmanpages -p$@ apt-ftparchive.1 apt-sortpkgs.1 apt-extracttemplates.1

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_shlibdeps -papt -l`pwd`/debian/apt/usr/lib -- -Ldebian/shlibs.local.apt
#	LD_LIBRARY_PATH=`pwd`/debian/apt/usr/lib dh_shlibdeps -papt
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_makeshlibs -m$(LIBAPTPKG_MAJOR) -V '$(LIBAPTPKG_PROVIDE)' -papt
	dh_md5sums -p$@
	dh_builddeb -p$@

libapt-pkg-dev: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-dev install
#
	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/
	cp -a $(BLD)/bin/libapt-inst*.so debian/libapt-pkg-dev/usr/lib/
	#ln -s libapt-pkg.so.$(LIBAPTPKG_MAJOR) debian/libapt-pkg-dev/usr/lib/libapt-pkg.so
	cp $(BLD)/include/apt-pkg/*.h debian/libapt-pkg-dev/usr/include/apt-pkg/

	dh_installdocs -p$@
#	dh_installmenu -p$@
#	dh_installinit -p$@
#	dh_installcron -p$@
#	dh_installmanpages -p$@

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_suidregister -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-utils: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@

	# install the shared libs
	find $(BLD)/bin/ -type f -name "libapt-inst*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;
	find $(BLD)/bin/ -type l -name "libapt-inst*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;

	cp $(addprefix $(BLD)/bin/apt-,$(APT_UTILS)) debian/$@/usr/bin/
	dh_installdocs -p$@
	
	# Install the man pages..
	mkdir -p debian/$@/usr/share/man/man1
	-cp doc/apt-sortpkgs.1 doc/apt-ftparchive.1 doc/apt-extracttemplates.1 debian/$@/usr/share/man/man1/

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:`pwd`/debian/apt/usr/lib:`pwd`/debian/$@/usr/lib dh_shlibdeps -p$@ -- -Ldebian/shlibs.local.apt-utils
	dh_gencontrol -p$@ -u -Vlibapt-inst:provides=$(LIBAPTINST_PROVIDE)

## apt 0.5.24osso1

=== debian/changelog ===
apt (0.5.24osso1) unstable; urgency=low

  * --disable-mmap implemented (should be usable on filesystems with
    broken mmap (i.e. jffs2) 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon,  6 Dec 2004 00:25:48 +0200

apt (0.5.24) unstable; urgency=low

  * Updated Czech translation from Miroslav Kure <kurem@upcase.inf.upol.cz>
    (Closes: #235822)
  * Updated French translation from Christian Perrier <bubulle@debian.org>
    (Closes: #237403)
  * Updates to XML man pages from richard.bos@xs4all.nl
  * Updated Danish translation from Claus Hindsgaul <claus_h@image.dk>
    (Closes: #237771)
  * Updated Greek translation from Konstantinos Margaritis
    <markos@debian.org>
    (Closes: #237806)
  * Updated Spanish translation from Ruben Porras <nahoo82@telefonica.net>
    (Closes: #237863)
  * Updated pt_BR translation from Andre Luis Lopes <andrelop@debian.org>
    (Closes: #237960)
  * Regenerate .pot file (Closes: #237892)
  * Updated Polish translation from Marcin Owsiany <porridge@debian.org>
    (Closes: #238333)
  * In pkgAcquire::Shutdown(), set the status of fetching items to
    StatError to avoid a sometimes large batch of error messages
    (Closes: #234685)
  * Implement an ugly workaround for the 10000-character limit on the
    Binaries field in debSrcRecordParser, until such time as some things
    can be converted over to use STL data types (ABI change) (Closes: #236688)
  * Increase default tagfile buffer from 32k to 128k; this arbitrary limit
    should also be removed someday (Closes: #174945)
  * Checked against Standards-Version 3.6.1 (no changes)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 16 Mar 2004 22:47:55 -0800

apt (0.5.23) unstable; urgency=low

  * Cosmetic updates to XML man pages from Richard Bos <radoeka@xs4all.nl>
  * Use the 'binary' target rather than 'all' so that the ssh and bzip2
    symlinks are created correctly (thanks to Adam Heath)
    (Closes: #214842)
  * Updated Simplified Chinese translation of message catalog from Tchaikov
    <chaisave@263.net> (Closes: #234186)
  * Change default for Acquire::http::max-age to 0 to prevent index files
    being out of sync with each other (important with Release.gpg)
  * Add an assert() to make sure that we don't overflow a fixed-size
    buffer in the very unlikely event that someone adds 10 packaging
    systems to apt (Closes: #233678)
  * Fix whitespace in French translation of "Yes, do as I say!", which
    made it tricky to type, again.  Thanks to Sylvain Pasche
    <sylvain.pasche@switzerland.org> (Closes: #234494)
  * Print a slightly clearer error message if no packaging systems are
    available (Closes: #233681)
  * Point to Build-Depends in COMPILING (Closes: #233669)
  * Make debian/rules a bit more consistent in a few places.
    Specifically, always use -p$@ rather than an explicit package name,
    and always specify it first, and use dh_shlibdeps -l uniformly rather
    than sometimes changing LD_LIBRARY_PATH directly
  * Document unit for Cache-Limit (bytes) (Closes: #234737)
  * Don't translate "Yes, do as I say!" in Chinese locales, because it can
    be difficult to input (Closes: #234886)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 26 Feb 2004 17:08:14 -0800

apt (0.5.22) unstable; urgency=low

  * Updated French translation of man pages from Philippe Batailler
    <philippe.batailler@free.fr> (Closes: #203119)
  * Initialize StatusFile in debSystem (Closes: #229791)
  * Fix apt-get's suggests/recommends printing, which was skipping every
    other dependency due to both using GlobOr and incrementing the DepIterator
    (Closes: #229722)
  * Restore SIGINT/SIGQUIT handlers to their old values (rather than
    SIG_DFL) after invoking dpkg (Closes: #229854)
  * Updated Dutch translation of message catalog from cobaco
    <cobaco@linux.be> (Closes: #229601)
  * Catalan translation from Antoni Bella, Matt Bonner and Jordi Mallach
    (Closes: #230102)
  * Simplified Chinese translation of message catalog from "Carlos
    Z.F. Liu" <carlos_liu@yahoo.com> (Closes: #230960)
  * Replace SGML manpages with XML man pages from richard.bos@xs4all.nl
    (Closes: #230687)
  * Updated Spanish translation of man pages from Ruben Porras
    <nahoo82@telefonica.net> (Closes: #231539)
  * New Czech translation of message catalog from Miroslav Kure
    <kurem@upcase.inf.upol.cz> (Closes: #231921)

 -- Matt Zimmerman <mdz@debian.org>  Mon,  9 Feb 2004 12:44:54 -0800

apt (0.5.21) unstable; urgency=low

  * Patch from Eric Wong <normalperson@yhbt.net> to include apt18n.h after
    other headers to avoid breaking locale.h when setlocale() is defined
    as an empty macro.  This was not a problem on Debian, but broke
    compilation on Solaris. (Closes: #226509)
  * Updated French translation from Pierre Machard <pmachard@debian.org>
    (Closes: #226886)
  * Add colons to apt-get's "kept back"/"upgraded"/"downgraded" messages
    (Closes: #226813)
  * Fix typo in apt-cache(8) (Closes: #226351)
  * Clearer error message in place of "...has no available version, but
    exists in the database" (Closes: #212203)
  * Patch from Oliver Kurth <oku@masqmail.cx> to use AC_CACHE_VAL for
    GLIBC_VER to make cross-compilation easier (Closes: #221528)
  * Add example preferences file (Closes: #220799)
  * Updated Greek translation from Konstantinos Margaritis <markos@debian.org>
    (Closes: #227205)
  * Updated Spanish translation of man pages from Ruben Porras
    <nahoo82@telefonica.net> (Closes: #227729)

 -- Matt Zimmerman <mdz@debian.org>  Fri, 16 Jan 2004 10:54:39 -0800

apt (0.5.20) unstable; urgency=low

  * Fixed German translations of "Suggested" from Christian Garbs
    <debian@cgarbs.de> (Closes: #197960)
  * Add an "apt-cache madison" command with an output format similar to
    the katie tool of the same name (but less functionality)
  * Fix debSourcesIndex::Describe() to correctly say "Sources" rather than
    "Packages"

 -- Matt Zimmerman <mdz@debian.org>  Sat,  3 Jan 2004 23:42:50 -0800



=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.1.62), libdb2-dev, gettext (>= 0.11.5)
Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)

Package: apt
Architecture: any
Depends: ${shlibs:Depends}
Priority: important
Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
Provides: ${libapt-pkg:provides}
Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc
Section: base
Description: Advanced front-end for dpkg
 This is Debian's next generation front-end for the dpkg package manager.
 It provides the apt-get utility and APT dselect method that provides a 
 simpler, safer way to install and upgrade packages.
 .
 APT features complete installation ordering, multiple source capability
 and several other unique features, see the Users Guide in apt-doc.

Package: apt-doc
Architecture: all
Priority: optional
Replaces: apt (<< 0.5.4.9)
Section: doc
Description: Documentation for APT
 This package contains the user guide and offline guide, for APT, an
 Advanced Package Tool.

Package: libapt-pkg-dev
Architecture: any
Priority: optional
Depends: apt-utils, ${libapt-pkg:provides}, ${libapt-inst:provides}
Section: libdevel
Description: Development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Section: doc
Description: Documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.

Package: apt-utils
Architecture: any
Depends: ${shlibs:Depends}
Priority: optional
Provides: ${libapt-inst:provides}
Replaces: apt (<< 0.5.9)
Section: admin
Description: APT utility programs
 This package contains some APT utility programs such as apt-ftparchive,
 apt-sortpkgs and apt-extracttemplates.
 .
 apt-extracttemplates is used by debconf to prompt for configuration 
 questions before installation. apt-ftparchive is used to create Package
 and other index files. apt-sortpkgs is a Package/Source file normalizer.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.
# $Id: rules,v 1.63 2004/02/27 00:51:25 mdz Exp $

# LD_LIBRARY_PATH=pwd/debian/apt/usr/lib dh_shlibdeps -papt
# dpkg: /home/jgg/work/apt2/debian/apt/usr/lib/libapt-pkg.so.2.9 not found.

# For the deb builder, you can run 'debian/rules cvs-build', which does all
# steps nescessary to produce a proper source tarball with the CVS/ removed.
# It builds in debian/cvs-build/apt-<VER>/, and places files in
# debian/cvs-build/.  Optionally, you can run 'debian/rules cvs-mkul' to
# create ../upload-<VER>, with all the files needed to be uploaded placed
# in it.

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE) --disable-mmap
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) --disable-mmap
endif

# See below
-include build/environment.mak

# Default rule
build:

DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc
APT_DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
APT_CONFVER=$(shell sed -n -e 's/^AC_DEFINE_UNQUOTED(VERSION,"\(.*\)")/\1/p' configure.in)

# Determine the build directory to use
BASE=.
ifdef BUILD
BUILD_POSSIBLE := $(BUILD) $(BASE)/$(BUILD)
else
BUILD_POSSIBLE := $(BASE) $(BASE)/build-$(shell uname -m) $(BASE)/build
endif
BUILDX:= $(foreach i,$(BUILD_POSSIBLE),$(wildcard $(i)/environment.mak*))
BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
override BLD := $(BUILDX)

ifeq ($(words $(BLD)),0)
override BLD := ./build
endif

# Rebuild configure.in to have the correct version from the change log
ifneq ($(APT_DEBVER),$(APT_CONFVER))
.PHONY: configure.in
configure.in:
	sed -e 's/$(APT_CONFVER)/$(APT_DEBVER)/' $@ > $@.$$$$ && mv $@.$$$$ $@
else
configure.in:
endif

# APT Programs in apt-utils
APT_UTILS=ftparchive sortpkgs extracttemplates

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find the libapt-pkg major version for use in other control files
export LIBAPTPKG_MAJOR:=$(shell egrep '^MAJOR=' apt-pkg/makefile |cut -d '=' -f 2)
export LIBAPTINST_MAJOR:=$(shell egrep '^MAJOR=' apt-inst/makefile |cut -d '=' -f 2)

# Determine which package we should provide in the control files
LIBAPTPKG_PROVIDE=libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER)-$(LIBAPTPKG_MAJOR)
LIBAPTINST_PROVIDE=libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER)-$(LIBAPTINST_MAJOR)

debian/shlibs.local: apt-pkg/makefile
	# We have 3 shlibs.local files.. One for 'apt', one for 'apt-utils' and
	# one for the rest of the packages. This ensures that each package gets
	# the right overrides.. 
	rm -rf $@ $@.apt $@.apt-utils
	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR)" > $@.apt

	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR) $(LIBAPTPKG_PROVIDE)" > $@.apt-utils
	echo "libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTINST_MAJOR)" >> $@.apt-utils

	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR) $(LIBAPTPKG_PROVIDE)" > $@
	echo "libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTINST_MAJOR) $(LIBAPTINST_PROVIDE)" >> $@

build: build/build-stamp	
build-doc: build/build-doc-stamp	

# Note that this is unconditionally done first as part of loading environment.mak
# The true is needed to force make to reload environment.mak after running
# configure-stamp. Otherwise we can get stale or invalid, or missing config data.
build/environment.mak: build/configure-stamp
	@true

configure: configure.in
build/configure-stamp: configure
	dh_testdir
	-mkdir build
	cp COPYING debian/copyright
	cd build && ../configure $(confflags)
	touch $@

build/build-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) binary
	touch $@

build/build-doc-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) doc
	touch $@

clean:
	dh_testdir
#	dh_testroot
	-$(MAKE) clean
	-$(MAKE) distclean

	rm -rf build

	# Add here commands to clean up after the build process.
	dh_clean debian/copyright debian/shlibs.local debian/shlibs.local.apt debian/shlibs.local.apt-utils

binary-indep: apt-doc libapt-pkg-doc
# Build architecture-independent files here.
libapt-pkg-doc: build-doc debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-doc install
#	
	dh_installdocs -p$@ $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
                            $(BLD)/docs/files* $(BLD)/docs/method* \
			    doc/libapt-pkg2_to_3.txt doc/style.txt
	dh_installexamples -p$@
#	dh_installmenu -p$@
#	dh_installinit -p$@
#	dh_installcron -p$@
#	dh_installman -p$@

#	dh_undocumented -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_suidregister -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-doc: build-doc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
#
# apt-doc install
#
	# Copy the guides
	dh_installdocs -p$@ $(BLD)/docs/guide*.text $(BLD)/docs/guide*.html \
	               $(BLD)/docs/offline.text $(BLD)/docs/offline.html
	dh_installchangelogs -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@



# Build architecture-dependent files here.

binary-arch: apt libapt-pkg-dev apt-utils 
apt: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@ /usr/share/bug/$@
#
# apt install
#
	cp $(BLD)/bin/apt-* debian/apt/usr/bin/

	# Remove the bits that are in apt-utils
	rm $(addprefix debian/apt/usr/bin/apt-,$(APT_UTILS))

	# install the shared libs
	find $(BLD)/bin/ -type f -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/apt/usr/lib/ \;
	find $(BLD)/bin/ -type l -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/apt/usr/lib/ \;

	cp $(BLD)/bin/methods/* debian/apt/usr/lib/apt/methods/

	cp $(BLD)/scripts/dselect/* debian/apt/usr/lib/dpkg/methods/apt/
	cp -r $(BLD)/locale debian/apt/usr/share/

	cp debian/bugscript debian/apt/usr/share/bug/apt/script

#	head -n 500 ChangeLog > debian/ChangeLog

	dh_installexamples -p$@ $(BLD)/docs/examples/*
	dh_installman -p$@ 

	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@ -m$(LIBAPTPKG_MAJOR) -V '$(LIBAPTPKG_PROVIDE)'
	dh_installdeb -p$@
	dh_shlibdeps -p$@ -l`pwd`/debian/apt/usr/lib -- -Ldebian/shlibs.local.apt
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

libapt-pkg-dev: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-dev install
#
	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/
	cp -a $(BLD)/bin/libapt-inst*.so debian/libapt-pkg-dev/usr/lib/
#	ln -s libapt-pkg.so.$(LIBAPTPKG_MAJOR) debian/libapt-pkg-dev/usr/lib/libapt-pkg.so
	cp $(BLD)/include/apt-pkg/*.h debian/libapt-pkg-dev/usr/include/apt-pkg/

	dh_installdocs -p$@
#	dh_installmenu -p$@
#	dh_installinit -p$@
#	dh_installcron -p$@
#	dh_installman -p$@

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_suidregister -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE) -Vlibapt-inst:provides=$(LIBAPTINST_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-utils: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@

	# install the shared libs
	find $(BLD)/bin/ -type f -name "libapt-inst*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;
	find $(BLD)/bin/ -type l -name "libapt-inst*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;

## apt 0.5.27

=== debian/changelog ===
apt (0.5.27) unstable; urgency=high

  * Sneak in a bunch of updated translations before the freeze
    (no code changes)
  * Translation updates:
    - New Finnish translation from Tapio Lehtonen <tale@debian.org>
      (Closes: #258999)
    - New Bosnian translation from Safir Šećerović <sapphire@linux.org.ba>
      (Closes: #254201)
    - Fix Italian incontrario (Closes: #217277)
    - Updated Spanish from Ruben Porras (Closes: #260483)
    - Updated Danish from Claus Hindsgaul (Closes: #260569)
    - Updated Slovak from Peter Mann (Closes: #260627)
    - Updated Portuguese from Miguel Figueiredo (Closes: #261423)
  * Bring configure-index up to date with documented options, patch from
    Uwe Zeisberger <zeisberg@informatik.uni-freiburg.de> (Closes: #259540)
  * Note in apt.conf(5) that configure-index does not contain strictly
    default values, but also examples
  * Add Polish translation of offline.sgml (Closes: #259229)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 29 Jul 2004 09:30:12 -0700

apt (0.5.26) unstable; urgency=low

  * Translation updates:
    - Spanish update from Ruben Porras <nahoo82@telefonica.net> (Closes: #248214)
    - Sync Spanish apt(8) (Closes: #249241)
    - French update from Christian Perrier <bubulle@debian.org> (Closes: #248614)
    - New Slovak translation from Peter Mann <Peter.Mann@tuke.sk> (Closes: #251676)
    - Czech update from Miroslav Kure <kurem@upcase.inf.upol.cz> (Closes: #251682)
    - pt_BR update from Andre Luis Lopes <andrelop@debian.org> (Closes: #251961)
    - German translation of apt(8) from Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
      (Closes: #249453)
    - pt update from Miguel Figueiredo <elmig@debianpt.org> (Closes: #252700)
    - New Hebrew translation from Lior Kaplan <webmaster@guides.co.il>
      (Closes: #253182)
    - New Basque translation from Piarres Beobide Egaña <pi@beobide.net>
      (Vasco - Euskara - difficult language, Closes: #254407) and already a
      correction (Closes: #255760)
    - Updated Brazilian Portuguese translation from
      Guilherme de S. Pastore <gpastore@colband.com.br> (Closes: #256396)
    - Updated Greek translation (complete now) from
      George Papamichelakis <george@step.gr> (Closes: #256797)
    - New Korean translation from Changwoo Ryu <cwryu@debian.org>
      (Closes: #257143)
    - German translation now available in two flavours: with Unicode usage and
      without (related to #228486, #235759)
  * Update apt-get(8) to reflect the fact that APT::Get::Only-Source will
    affect apt-get build-dep as well as apt-get source
  * Remove aborted remnants of a different method of implementing DEB_BUILD_OPTIONS
    from debian/rules
  * Fix typo in error message when encountering unknown type in source list
    (Closes: #253217)
  * Update k*bsd-gnu arch names in buildlib/ostable (Closes: #253532)
  * Add amd64 to buildlib/archtable (Closes: #240896)
  * Have configure output a more useful error message if the architecture
    isn't in archtable

 -- Matt Zimmerman <mdz@debian.org>  Thu,  8 Jul 2004 15:53:28 -0700

apt (0.5.25) unstable; urgency=low

  * Patch from Jason Gunthorpe to remove arbitrary length limit on Binary
    field in SourcesWriter::DoPackage
  * Fix typo in apt-cache(8) (Closes: #238578)
  * Fix obsolete reference to bug(1) in stub apt(8) man page
    (Closes: #245923)
  * Fix typo in configure-index (RecruseDepends -> RecurseDepends)
    (Closes: #246550)
  * Support DEB_BUILD_OPTIONS=noopt in debian/rules
    (Closes: #244293)
  * Increase length of line buffer in ReadConfigFile to 1024 chars;
    detect if a line is longer than that and error out
    (Closes: #244835)
  * Suppress a signed/unsigned warning in apt-cache.cc:DisplayRecord
  * Build apt-ftparchive with libdb4.2 rather than libdb2
    - Patch from Clint Adams to do most of the work
    - Build-Depends: s/libdb2-dev/libdb4.2-dev/
    - Add AC_PREREQ(2.50) to configure.in
    - Use db_strerror(err) rather than GlobalError::Errno (which uses strerror)
    - Add note to NEWS.Debian about upgrading old databases
  * Attempt to fix problems with chunked encoding by stripping only a single CR
    (Closes: #152711)
  * Modify debian/rules cvs-build to use cvs export, to avoid picking up
    junk files from the working directory
  * Add lang=fr attribute to refentry section of
    apt-extracttemplates.fr.1.sgml and apt-sortpkgs.fr.1.sgml so they are
    correctly built
  * Remove extraneous '\' characters from <command> tags in
    apt_preferences.fr.5.sgml
  * Translation updates:
    - Updated Swedish translation from Peter Karlsson <peter@softwolves.pp.se>
      (Closes: #238943)
    - New Slovenian translation from Jure Čuhalev <gandalf@owca.info>
      (closes: #239785)
    - New Portuguese translation from Miguel Figueiredo <elmig@debianpt.org>
      (closes: #240074)
    - Updated Spanish translation from Ruben Porras <nahoo82@telefonica.net>
    - Updated Spanish translation of man pages from Ruben Porras
      <nahoo82@telefonica.net>
    - Updated Simplified Chinese translation from "Carlos Z.F. Liu" <carlos_liu@yahoo.com>
      (Closes: #241971)
    - Updated Russian translation from Dmitry Astapov <adept@despammed.com>
      (Closes: #243959)
    - Updated Polish translation from Marcin Owsiany <porridge@debian.org>
      (Closes: #242388)
    - Updated Czech translation from Miroslav Kure <kurem@upcase.inf.upol.cz>
      (Closes: #244369)
    - Updated Japanese translation from Kenshi Muto <kmuto@debian.org>
      (Closes: #244176)
    - Run make -C po update-po to update .po files
    - Updated French translation from Christian Perrier <bubulle@debian.org>
      (Closes: #246925)
    - Updated Danish translation from Claus Hindsgaul <claus_h@image.dk>
      (Closes: #247311)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  8 May 2004 12:52:20 -0700

## apt 0.5.27.1

=== debian/changelog ===
apt (0.5.27.1) warty; urgency=low

  * Set default Dpkg::MaxArgs to 1024, and Dpkg::MaxArgBytes to 32k.  Needed
    to work around ordering bugs which can break the desktop install.

 -- Matt Zimmerman <mdz@debian.org>  Tue, 12 Oct 2004 20:50:19 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 4.1.62), libdb2-dev, gettext (>= 0.11.5)
+Build-Depends: debhelper (>= 4.1.62), libdb4.2-dev, gettext (>= 0.11.5)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
 
 Package: apt

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Made with the aid of dh_make, by Craig Small
 # Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
 # Some lines taken from debmake, by Christoph Lameter.
-# $Id: rules,v 1.63 2004/02/27 00:51:25 mdz Exp $
+# $Id: rules,v 1.68 2004/05/30 18:21:43 mdz Exp $
 
 # LD_LIBRARY_PATH=pwd/debian/apt/usr/lib dh_shlibdeps -papt
 # dpkg: /home/jgg/work/apt2/debian/apt/usr/lib/libapt-pkg.so.2.9 not found.
@@ -19,13 +19,19 @@
 
 # FOR AUTOCONF 2.52 AND NEWER ONLY
 ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
-  confflags += --build $(DEB_HOST_GNU_TYPE) --disable-mmap
-else
-  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) --disable-mmap
+  confflags += --build $(DEB_HOST_GNU_TYPE)
+else
+  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
 
 # See below
 -include build/environment.mak
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+  export CXXFLAGS = -O0 -g -Wall
+else
+  export CXXFLAGS = -O2 -g -Wall
+endif
 
 # Default rule
 build:
@@ -33,6 +39,7 @@
 DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc
 APT_DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
 APT_CONFVER=$(shell sed -n -e 's/^AC_DEFINE_UNQUOTED(VERSION,"\(.*\)")/\1/p' configure.in)
+APT_CVSTAG=$(shell echo "$(APT_DEBVER)" | sed -e 's/^/v/' -e 's/\./_/g')
 
 # Determine the build directory to use
 BASE=.
@@ -253,6 +260,3 @@
 	dh_installdirs -p$@
 
 	# install the shared libs
-	find $(BLD)/bin/ -type f -name "libapt-inst*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;
-	find $(BLD)/bin/ -type l -name "libapt-inst*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;
-

## apt 0.5.28.6

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	$(MAKE) -C ftparchive $@
 	$(MAKE) -C dselect $@
 	$(MAKE) -C doc $@
+	$(MAKE) -C po $@
 
 # Some very common aliases
 .PHONY: maintainer-clean dist-clean distclean pristine sanity

=== debian/changelog ===
apt (0.5.28.6) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--sarge--0 again (patch-36)

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 21 Mar 2005 23:03:19 -0800

apt (0.5.28.5) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--sarge--0 again (patch-33)
  * Update build-depends on gettext to version 0.12 (Closes: #295077)

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 21 Mar 2005 23:02:59 -0800

apt (0.5.28.4) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--sarge--0 again (now with LINGUAS
    update)

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 10 Feb 2005 23:58:04 -0800

apt (0.5.28.3) unstable; urgency=low

  * Rebuild with a more pristine build environment (Closes: #294640)

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 10 Feb 2005 14:38:55 -0800

apt (0.5.28.2) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--sarge--0 (lots of translation updates
    coordinated by Christian Perrier)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 10 Feb 2005 00:53:01 -0800

apt (0.5.28.1) unstable; urgency=high

  * New version for unstable to incorporate translation updates and to push
    workaround for #172339.  This should be the same as 0.5.27.2, but with
    updated translations
  * Merge apt--main--0--patch-22:
    - Call setlocale() in the http method to get proper localized
      messages (Closes: #282700)
  * Merge apt--main--0--patch-29:
    - Same thing for the other methods
  * Merge apt--main--0--patch-33
    - Use baz instead of tla in debian/rules arch-build
  * Revert cron.daily addition; shouldn't go into sarge

 -- Matt Zimmerman <mdz@debian.org>  Mon, 10 Jan 2005 13:55:07 -0800

apt (0.5.28) hoary; urgency=low

  * Translation updates:
    - Updated Hungarian from Kelemen Gábor <kelemeng@gnome.hu> (Closes: #263436)
    - Updated Greek from George Papamichelakis (Closes: #265004)
    - Updated Simplified Chinese from Tchaikov (Closes: #265190)
    - Updated French by Christian Perrier (Closes: #265816)
    - Updated Japanese by Kenshi Muto (Closes: #265630)
    - Updated Catalan from Jordi Mallach
    - Updated Dutch from Bart Cornelis (Closes: #268258, #278697)
    - Updated Portuguese from Miguel Figueiredo (Closes: #268265)
    - Updated Polish from Robert Luberda <robert@debian.org> (Closes: #268451)
    - Updated Danish from Claus Hindsgaul (Closes: #269417)
    - Updated Norwegian Nynorsk from Håvard Korsvoll <korsvoll@skulelinux.no>
      (Closes: #269965)
    - Updated Russian from Yuri Kozlov <yuray@id.ru> (Closes: #271104)
    - Updated Italian from Samuele Giovanni Tonon <samu@debian.org>
      (Closes: #275083)
    - Updated Brazilian Portuguese from Andre Luis Lopes (Closes: #273944)
    - Updated Slovak from Peter Mann (Closes: #279481)
  * APT::Get::APT::Get::No-List-Cleanup -> APT::Get::List-Cleanup in apt-get.cc
    (Closes: #267266)
  * Merge Ubuntu changes:
    - Set default Dpkg::MaxArgs to 1024, and Dpkg::MaxArgBytes to 32k.
      Needed to work around ordering bugs when installing a large number of
      packages
    - Patch from Michael Vogt to add an optional cron job which
      can run apt-get update periodically
  * Add arch-build target to debian/rules

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Nov 2004 15:52:20 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 4.1.62), libdb4.2-dev, gettext (>= 0.11.5)
+Build-Depends: debhelper (>= 4.1.62), libdb4.2-dev, gettext (>= 0.12)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
 
 Package: apt
